Subject: pkgsrc Postfix startup errors
To: None <>
From: Johnny C. Lam <>
List: tech-pkg
Date: 11/21/2003 09:41:53
I'm having trouble replacing the system Postfix with the pkgsrc
version (which I built with SASL and TLS+IPv6 support).  Using
working Postfix and files from a NetBSD-1.6.2_RC2
system, when I start the pkgsrc Postfix in its place, I get the
following error in /var/log/maillog:

Nov 21 09:16:41 copernicus postfix/master[1400]: fatal: getaddrinfo: servname not supported for ai_socktype

I suspect it has something to do with IPv6 (which I'm not setting
up nor using on this machine), but that's just a wild guess.

Can anyone offer any advice?


	-- Johnny Lam <>